Namespace
library
Image / Tag
golang:1.13.8
Content Digest
sha256:d7e0b99badf7f34b5096089484a733897c9b89aa12ffb9f67f81da054f8a403e
Details
Created

2020-02-26 19:37:08 UTC

Size

284 MB

Content Digest
Environment
GOLANG_VERSION

1.13.8

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:9450e7c48681b3ba36935d4e7d891b4b180d4d223a6c938faacb41402857ebd3 - 17.18% (48.8 MB)

[#001] sha256:2e3b9049fe76610ee534524c2087947a0c92f9d674f7395a2031161e4e448a57 - 2.68% (7.61 MB)

[#002] sha256:e618476b0d787bc3028ca73062991dd8c2c5c71d93e2932eb7f14257541bc005 - 3.47% (9.86 MB)

[#003] sha256:ffd3ac0f3869d874323567fd1fdb72f8976b62d2dd8d3c9761ab065b2426a6d9 - 17.94% (50.9 MB)

[#004] sha256:5c725561cb3eb3e580dbd8f82120f0faab46c6e7eb4461b8c8c9d254184e30d1 - 24.68% (70.1 MB)

[#005] sha256:271ffcdb1074838cd93396a33a4c45b83bdc015a434f58c3ebfcebe3aaf1a626 - 34.04% (96.6 MB)

[#006] sha256:82e53ac176a7ab0d8b6e11ec41e7f4b315000484038b484bca05a171b92ce433 - 0.0% (127 Bytes)


History
2020-02-26 00:31:58 UTC

/bin/sh -c #(nop) ADD file:1deff975480520310bf2c8d3708554d98c696f82689f0b67f9a834217c861803 in /

2020-02-26 00:31:59 UTC

/bin/sh -c #(nop) CMD ["bash"]

2020-02-26 01:07:33 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*

2020-02-26 01:07:41 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2020-02-26 01:08:07 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2020-02-26 19:35:50 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2020-02-26 19:36:53 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.13.8

2020-02-26 19:37:06 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='0567734d558aef19112f2b2873caa0c600f1b4a5827930eb5a7f35235219e9d8' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='75f590d8e048a97cbf8b09837b15b3e6b44e1374718a96a5c3a994843ef44a4d' ;; arm64) goRelArch='linux-arm64'; goRelSha256='b46c0235054d0eb69a295a2634aec8a11c7ae19b3dc53556a626b89dc1f8cdb0' ;; i386) goRelArch='linux-386'; goRelSha256='2305c1c46b3eaf574c7b03cfa6b167c199a2b52da85872317438c90074fdb46e' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='4c987b3969d33a93880a218064d2330d7f55c9b58698e78db6b56012058e91a9' ;; s390x) goRelArch='linux-s390x'; goRelSha256='994f961df0d7bdbfa6f7eed604539acf9159444dabdff3ce8e938d095d85f756' ;; *) goRelArch='src'; goRelSha256='b13bf04633d4d8cf53226ebeaace8d4d2fd07ae6fa676d0844a688339debec34'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2020-02-26 19:37:07 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2020-02-26 19:37:07 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2020-02-26 19:37:08 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2020-02-26 19:37:08 UTC

/bin/sh -c #(nop) WORKDIR /go

Details
Created

2020-03-11 12:35:13 UTC

Size

2.26 GB

Content Digest
Environment
GIT_DOWNLOAD_SHA256

8f65208f92c0b4c3ae4c0cf02d4b5f6791d539cd1a07b2df62b7116467724735

GIT_DOWNLOAD_URL

https://github.com/git-for-windows/git/releases/download/v2.23.0.windows.1/MinGit-2.23.0-64-bit.zip

GIT_TAG

v2.23.0.windows.1

GIT_VERSION

2.23.0

GOLANG_VERSION

1.13.8

GOPATH

C:\gopath


Layers

[#000] sha256:65014b3c312172f10bd6701a063f9b5aaf9a916c2d2cb843d406a6f77ded3f8d - 63.28% (1.43 GB)

[#001] sha256:23645bd7ee0885911e1e2ab55ebcb36ce35795e1ceba9166ffd1b26dde18c3ee - 30.13% (697 MB)

[#002] sha256:a7fab05ac5ad4b2f665ad71b5c08a81e82bff7ea2fdcbb66c14193d2dd268875 - 0.0% (1.18 KB)

[#003] sha256:faa59504e8a6021f126b043b84b365caa6366766b8fb31f9152e0f859bcfe743 - 0.0% (1.16 KB)

[#004] sha256:66e8d18d31c69c104e81cb83056a05bf2d4e6d4c9c834cd23a1dd372bf5eba4b - 0.0% (1.19 KB)

[#005] sha256:8bc519099bf17d9b046eef0d0e32d954dc7e54a0fa76708db3ae859a8c63b5e2 - 0.0% (1.19 KB)

[#006] sha256:97ea92b91b1802207727bccdc5c099ba74e7557140d361b762c6107aa11d4632 - 0.0% (1.19 KB)

[#007] sha256:314fd97d425237bbcc41f14758f52ad3fde96f2c80c5eccb26754caf0c6648ad - 1.23% (28.4 MB)

[#008] sha256:8237be75b55557e43ddf8cbe4cb67c918a149b9c971ec24857c862665f51ff34 - 0.0% (1.19 KB)

[#009] sha256:5cf58a99dd488ee114fd242abf7b0cd3467bd9fba336c94c09c57f5f98355bad - 0.01% (287 KB)

[#010] sha256:f203962b65e7dff626f94cac3f6cd8331aed7129633568f9b9744ab2b5cc7e94 - 0.0% (1.19 KB)

[#011] sha256:9694dbf7dc5d7bd87b7ddf296e43bc6423b9499a41e044e32a208477e5c3c00c - 5.35% (124 MB)

[#012] sha256:d3cea8091348be98b9614a991bd07cb0aa417b58df788fa71e0baea73fc11157 - 0.0% (1.32 KB)


History
2018-09-15 09:10:26 UTC

Apply image 1809-RTM-amd64

2020-03-06 11:12:29 UTC

Install update 1809-amd64

2020-03-11 00:42:10 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2020-03-11 12:14:42 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_VERSION=2.23.0

2020-03-11 12:14:44 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_TAG=v2.23.0.windows.1

2020-03-11 12:14:46 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_URL=https://github.com/git-for-windows/git/releases/download/v2.23.0.windows.1/MinGit-2.23.0-64-bit.zip

2020-03-11 12:14:47 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_SHA256=8f65208f92c0b4c3ae4c0cf02d4b5f6791d539cd1a07b2df62b7116467724735

2020-03-11 12:15:54 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:GIT_DOWNLOAD_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:GIT_DOWNLOAD_URL -OutFile 'git.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:GIT_DOWNLOAD_SHA256); if ((Get-FileHash git.zip -Algorithm sha256).Hash -ne $env:GIT_DOWNLOAD_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive -Path git.zip -DestinationPath C:\git\.; Write-Host 'Removing ...'; Remove-Item git.zip -Force; Write-Host 'Updating PATH ...'; $env:PATH = 'C:\git\cmd;C:\git\mingw64\bin;C:\git\usr\bin;' + $env:PATH; [Environment]::SetEnvironmentVariable('PATH', $env:PATH, [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ("git version") ...'; git version; Write-Host 'Complete.';

2020-03-11 12:15:56 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOPATH=C:\gopath

2020-03-11 12:16:23 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;C:\go\bin;{1}' -f $env:GOPATH, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); [Environment]::SetEnvironmentVariable('PATH', $newPath, [EnvironmentVariableTarget]::Machine);

2020-03-11 12:29:25 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOLANG_VERSION=1.13.8

2020-03-11 12:35:11 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = ('https://golang.org/dl/go{0}.windows-amd64.zip' -f $env:GOLANG_VERSION); Write-Host ('Downloading {0} ...' -f $url); Invoke-WebRequest -Uri $url -OutFile 'go.zip'; $sha256 = 'aaf0888907144ca7070c8dad03fcf1308f77a42d2f6e4d2a609e64e9ae73cf4f'; Write-Host ('Verifying sha256 ({0}) ...' -f $sha256); if ((Get-FileHash go.zip -Algorithm sha256).Hash -ne $sha256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive go.zip -DestinationPath C:\; Write-Host 'Removing ...'; Remove-Item go.zip -Force; Write-Host 'Verifying install ("go version") ...'; go version; Write-Host 'Complete.';

2020-03-11 12:35:13 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) WORKDIR C:\gopath

Details
Created

2020-02-27 03:49:48 UTC

Size

294 MB

Content Digest
Environment
GOLANG_VERSION

1.13.8

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:50e431f790939a2f924af65084cc9d39c3d3fb9ad2d57d183b7eadf86ea46992 - 16.32% (48 MB)

[#001] sha256:dd8c6d374ea51e3dd671f71b28d025a7794ebea181b00838987d0b4d8a51372f - 2.53% (7.45 MB)

[#002] sha256:c85513200d847a64a6e8f2cb714e2169f559b24b7736c586ff7b9aaedf71f410 - 3.24% (9.53 MB)

[#003] sha256:55769680e8277a4ff083d05f0993d1483b3d26b93a8814cf3c6f04fe5975ffa0 - 16.78% (49.4 MB)

[#004] sha256:15357f5e50c4cd5b4c1a4997a342d96d0dff37f4b08362094825bb0596da12cf - 22.23% (65.4 MB)

[#005] sha256:e2d9b328fba500f73aec151d1e5fde87b7ee5a54e697e4fbba7afcb036a5e51f - 38.9% (115 MB)

[#006] sha256:f8e0159fc85284002056acd2e8ec645d3b160ec7f14ef4b938ebb6e29ac2f1c3 - 0.0% (126 Bytes)


History
2020-02-26 00:37:07 UTC

/bin/sh -c #(nop) ADD file:e05e45c33042db4ec7f71a5952d65ee8cb3786dcd76fa7a990f48a2def1344e2 in /

2020-02-26 00:37:07 UTC

/bin/sh -c #(nop) CMD ["bash"]

2020-02-26 01:06:13 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*

2020-02-26 01:06:19 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2020-02-26 01:06:42 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2020-02-27 03:48:41 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2020-02-27 03:49:37 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.13.8

2020-02-27 03:49:47 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='0567734d558aef19112f2b2873caa0c600f1b4a5827930eb5a7f35235219e9d8' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='75f590d8e048a97cbf8b09837b15b3e6b44e1374718a96a5c3a994843ef44a4d' ;; arm64) goRelArch='linux-arm64'; goRelSha256='b46c0235054d0eb69a295a2634aec8a11c7ae19b3dc53556a626b89dc1f8cdb0' ;; i386) goRelArch='linux-386'; goRelSha256='2305c1c46b3eaf574c7b03cfa6b167c199a2b52da85872317438c90074fdb46e' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='4c987b3969d33a93880a218064d2330d7f55c9b58698e78db6b56012058e91a9' ;; s390x) goRelArch='linux-s390x'; goRelSha256='994f961df0d7bdbfa6f7eed604539acf9159444dabdff3ce8e938d095d85f756' ;; *) goRelArch='src'; goRelSha256='b13bf04633d4d8cf53226ebeaace8d4d2fd07ae6fa676d0844a688339debec34'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2020-02-27 03:49:47 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2020-02-27 03:49:47 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2020-02-27 03:49:48 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2020-02-27 03:49:48 UTC

/bin/sh -c #(nop) WORKDIR /go

Details
Created

2020-03-18 12:22:58 UTC

Size

5.5 GB

Content Digest
Environment
GIT_DOWNLOAD_SHA256

8f65208f92c0b4c3ae4c0cf02d4b5f6791d539cd1a07b2df62b7116467724735

GIT_DOWNLOAD_URL

https://github.com/git-for-windows/git/releases/download/v2.23.0.windows.1/MinGit-2.23.0-64-bit.zip

GIT_TAG

v2.23.0.windows.1

GIT_VERSION

2.23.0

GOLANG_VERSION

1.13.8

GOPATH

C:\gopath


Layers

[#000] sha256:3889bb8d808bbae6fa5a33e07093e65c31371bcf9e4c38c21be6b9af52ad1548 - 68.94% (3.79 GB)

[#001] sha256:a5d20b7a2294a0d2631f74f49fc34574484a692913559546ef0bceae789fd7a8 - 28.1% (1.54 GB)

[#002] sha256:f08cc5bf7287bc1d8f72edfe2439c99210e433230a22fc73264fcf1685850ed2 - 0.0% (1.08 KB)

[#003] sha256:14d561174ac001ca0d7adb9545849bd36e269ed33f40531a998720c250c43ffb - 0.0% (1.1 KB)

[#004] sha256:7d21a03a688a549f1ddaa9d9d5bb998cb8a2c0e9788b802541787ca3f1ed8ff8 - 0.0% (1.09 KB)

[#005] sha256:9c4d91f9428f64df474729562c61ed53946510b7ab35a33f254d5cae955259ba - 0.0% (1.13 KB)

[#006] sha256:64dd05a2f1cca3f7d532ddb895f160f78d4de3724c6ffcf07015232115e4a95f - 0.0% (1.13 KB)

[#007] sha256:8427dcc64be825a40aa719b7fa0062a8c227563d3d6e47a4239ea5e013d65401 - 0.52% (29.1 MB)

[#008] sha256:d45815090f3ebeaafd58a49c3138251d3bccaaa64ff19dfdf4e7f9c3ac65fd10 - 0.0% (1.1 KB)

[#009] sha256:009d25c2b0e7b36367e585fa0ea36993bf6e78051273a0e15e8251aff32436ad - 0.09% (5.13 MB)

[#010] sha256:d0e299b0c70a7acc080b42dbca168dd929e3eb94ac2c205e586473ed2d99941d - 0.0% (1.1 KB)

[#011] sha256:3fcad5c5da3aec4de08b2fff0a6b4937df486dfc003a601c15f50b9e66f8313d - 2.36% (133 MB)

[#012] sha256:9e438e96a7fc58ae077297a0db0c93687ac37d5632626338e72a6587c40b3a7e - 0.0% (1.25 KB)


History
2016-11-19 17:05:00 UTC

Apply image 1607-RTM-amd64

2020-03-10 08:14:00 UTC

Install update ltsc2016-amd64

2020-03-13 21:32:46 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2020-03-18 12:12:50 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_VERSION=2.23.0

2020-03-18 12:12:51 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_TAG=v2.23.0.windows.1

2020-03-18 12:12:52 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_URL=https://github.com/git-for-windows/git/releases/download/v2.23.0.windows.1/MinGit-2.23.0-64-bit.zip

2020-03-18 12:12:53 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_SHA256=8f65208f92c0b4c3ae4c0cf02d4b5f6791d539cd1a07b2df62b7116467724735

2020-03-18 12:14:15 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:GIT_DOWNLOAD_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:GIT_DOWNLOAD_URL -OutFile 'git.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:GIT_DOWNLOAD_SHA256); if ((Get-FileHash git.zip -Algorithm sha256).Hash -ne $env:GIT_DOWNLOAD_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive -Path git.zip -DestinationPath C:\git\.; Write-Host 'Removing ...'; Remove-Item git.zip -Force; Write-Host 'Updating PATH ...'; $env:PATH = 'C:\git\cmd;C:\git\mingw64\bin;C:\git\usr\bin;' + $env:PATH; [Environment]::SetEnvironmentVariable('PATH', $env:PATH, [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ("git version") ...'; git version; Write-Host 'Complete.';

2020-03-18 12:14:16 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOPATH=C:\gopath

2020-03-18 12:15:28 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;C:\go\bin;{1}' -f $env:GOPATH, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); [Environment]::SetEnvironmentVariable('PATH', $newPath, [EnvironmentVariableTarget]::Machine);

2020-03-18 12:19:27 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOLANG_VERSION=1.13.8

2020-03-18 12:22:56 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = ('https://golang.org/dl/go{0}.windows-amd64.zip' -f $env:GOLANG_VERSION); Write-Host ('Downloading {0} ...' -f $url); Invoke-WebRequest -Uri $url -OutFile 'go.zip'; $sha256 = 'aaf0888907144ca7070c8dad03fcf1308f77a42d2f6e4d2a609e64e9ae73cf4f'; Write-Host ('Verifying sha256 ({0}) ...' -f $sha256); if ((Get-FileHash go.zip -Algorithm sha256).Hash -ne $sha256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive go.zip -DestinationPath C:\; Write-Host 'Removing ...'; Remove-Item go.zip -Force; Write-Host 'Verifying install ("go version") ...'; go version; Write-Host 'Complete.';

2020-03-18 12:22:58 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) WORKDIR C:\gopath

Details
Created

2020-02-26 18:43:52 UTC

Size

249 MB

Content Digest
Environment
GOLANG_VERSION

1.13.8

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:3182cf45068cd9734abd8e38dedbb9930ede35ee8c11376ca2684e86f9a1aa85 - 17.57% (43.7 MB)

[#001] sha256:1b727ab99a6a790544e023dbba8625605266dd84b3a69acaa541144ad632f4ba - 2.72% (6.77 MB)

[#002] sha256:eab9435f7cf0c46bc6621020fd229e7de8baa61f71059cb9a34b9f681caed9aa - 3.58% (8.91 MB)

[#003] sha256:4f2ad791c8431e9b6624239d0b1fee2523df27584a263ec1d8d525201bb44087 - 18.13% (45.1 MB)

[#004] sha256:1a879613e63b581fbc31eac1107e244caddc95346001501421594071d0c92b42 - 20.34% (50.6 MB)

[#005] sha256:ea436256305c180d8b2bb711037cc750bab0f3dc9c675aabd985f8cd6d5a234c - 37.66% (93.7 MB)

[#006] sha256:c8235e2331ce9f4fe90758203e58280eb8da569dbf6de846a85add46bf245557 - 0.0% (156 Bytes)


History
2020-02-26 00:50:58 UTC

/bin/sh -c #(nop) ADD file:38fdfcc3155e437ce162aa0ed9dcdc5893b8145e2f3ede2858ed2187d79bf718 in /

2020-02-26 00:51:08 UTC

/bin/sh -c #(nop) CMD ["bash"]

2020-02-26 02:11:43 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*

2020-02-26 02:11:56 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2020-02-26 02:12:38 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2020-02-26 18:36:07 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2020-02-26 18:43:26 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.13.8

2020-02-26 18:43:46 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='0567734d558aef19112f2b2873caa0c600f1b4a5827930eb5a7f35235219e9d8' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='75f590d8e048a97cbf8b09837b15b3e6b44e1374718a96a5c3a994843ef44a4d' ;; arm64) goRelArch='linux-arm64'; goRelSha256='b46c0235054d0eb69a295a2634aec8a11c7ae19b3dc53556a626b89dc1f8cdb0' ;; i386) goRelArch='linux-386'; goRelSha256='2305c1c46b3eaf574c7b03cfa6b167c199a2b52da85872317438c90074fdb46e' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='4c987b3969d33a93880a218064d2330d7f55c9b58698e78db6b56012058e91a9' ;; s390x) goRelArch='linux-s390x'; goRelSha256='994f961df0d7bdbfa6f7eed604539acf9159444dabdff3ce8e938d095d85f756' ;; *) goRelArch='src'; goRelSha256='b13bf04633d4d8cf53226ebeaace8d4d2fd07ae6fa676d0844a688339debec34'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2020-02-26 18:43:48 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2020-02-26 18:43:49 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2020-02-26 18:43:51 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2020-02-26 18:43:52 UTC

/bin/sh -c #(nop) WORKDIR /go

Details
Created

2020-02-26 23:01:41 UTC

Size

266 MB

Content Digest
Environment
GOLANG_VERSION

1.13.8

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:77b067f4ec14d48dbc8cd83b7a46fbb5f21fe01ea8911db256cc0168a30c1f5b - 17.62% (46.9 MB)

[#001] sha256:194f1ca8932d9ee1727375561698745fa548546f609956c4aca9fed0b48d41a1 - 2.75% (7.33 MB)

[#002] sha256:88425686f799f708ae776f78a6d01c179a52f55fc5b32de874db3c4ace2dd156 - 3.58% (9.52 MB)

[#003] sha256:4c349f2c39d405d81a454ff62bdd8753ad71aeb8e8c1e300f3d7d19cd78eaced - 18.67% (49.7 MB)

[#004] sha256:d7f869d21e081791ed21c8e8a1af577238fcc4df45e6c4ac44ba385045d5c527 - 22.39% (59.6 MB)

[#005] sha256:54db05507b52b34ef115529f162c1afc12242c53e0b7110b2d5927a03d86af39 - 34.98% (93.1 MB)

[#006] sha256:d0814d2a122977a81b9cd59e29a8321d2b01b68ebcd95ffe8bce17e424c061d0 - 0.0% (156 Bytes)


History
2020-02-26 00:46:17 UTC

/bin/sh -c #(nop) ADD file:e3320653f0d517a6181aa46fb47407790018e2d8dee590005ffdbee3d04f72d4 in /

2020-02-26 00:46:19 UTC

/bin/sh -c #(nop) CMD ["bash"]

2020-02-26 03:50:14 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*

2020-02-26 03:50:28 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2020-02-26 03:51:23 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2020-02-26 22:59:41 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2020-02-26 23:01:20 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.13.8

2020-02-26 23:01:36 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='0567734d558aef19112f2b2873caa0c600f1b4a5827930eb5a7f35235219e9d8' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='75f590d8e048a97cbf8b09837b15b3e6b44e1374718a96a5c3a994843ef44a4d' ;; arm64) goRelArch='linux-arm64'; goRelSha256='b46c0235054d0eb69a295a2634aec8a11c7ae19b3dc53556a626b89dc1f8cdb0' ;; i386) goRelArch='linux-386'; goRelSha256='2305c1c46b3eaf574c7b03cfa6b167c199a2b52da85872317438c90074fdb46e' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='4c987b3969d33a93880a218064d2330d7f55c9b58698e78db6b56012058e91a9' ;; s390x) goRelArch='linux-s390x'; goRelSha256='994f961df0d7bdbfa6f7eed604539acf9159444dabdff3ce8e938d095d85f756' ;; *) goRelArch='src'; goRelSha256='b13bf04633d4d8cf53226ebeaace8d4d2fd07ae6fa676d0844a688339debec34'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2020-02-26 23:01:39 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2020-02-26 23:01:39 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2020-02-26 23:01:41 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2020-02-26 23:01:41 UTC

/bin/sh -c #(nop) WORKDIR /go

Details
Created

2020-02-26 22:27:57 UTC

Size

287 MB

Content Digest
Environment
GOLANG_VERSION

1.13.8

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:928614537d6dedbdf79cc24c5c56bf98c3ed88f9d91a9ec1105d2a133611b0fd - 18.02% (51.6 MB)

[#001] sha256:f499895181a6ad2e0a4c9fdaf499ffa2704adc3eb69595e994d38b563c6000e8 - 2.75% (7.87 MB)

[#002] sha256:887a1613f8e8808f8cdb481db1614b9d79f0dc57f17235b478bd4c6c95849e29 - 3.57% (10.2 MB)

[#003] sha256:6753b4bd70abfe94b10e69e3b643900c4f2e72961c4db6310963cd4c21303d5c - 19.1% (54.7 MB)

[#004] sha256:a51a2f24fce0f92919d965b3dd4f32e4ac919ea6a1396e0be6307781df16af29 - 24.47% (70.1 MB)

[#005] sha256:ab15bd502cadffbbcfac80a40d57bb6e57154b694cc88121c2733b024c74dcfe - 32.1% (92 MB)

[#006] sha256:907849ba77bc2d17fc1c887733aed42dbb49a42e6af4044ae7879bc823bf9a9b - 0.0% (155 Bytes)


History
2020-02-26 01:30:27 UTC

/bin/sh -c #(nop) ADD file:b58865b3fd36d440998ef82e567179a9cd6b9ce0343d5e5a15a0b4f856f211c7 in /

2020-02-26 01:30:35 UTC

/bin/sh -c #(nop) CMD ["bash"]

2020-02-26 08:02:36 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*

2020-02-26 08:03:20 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2020-02-26 08:05:20 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2020-02-26 22:23:42 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2020-02-26 22:27:16 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.13.8

2020-02-26 22:27:38 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='0567734d558aef19112f2b2873caa0c600f1b4a5827930eb5a7f35235219e9d8' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='75f590d8e048a97cbf8b09837b15b3e6b44e1374718a96a5c3a994843ef44a4d' ;; arm64) goRelArch='linux-arm64'; goRelSha256='b46c0235054d0eb69a295a2634aec8a11c7ae19b3dc53556a626b89dc1f8cdb0' ;; i386) goRelArch='linux-386'; goRelSha256='2305c1c46b3eaf574c7b03cfa6b167c199a2b52da85872317438c90074fdb46e' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='4c987b3969d33a93880a218064d2330d7f55c9b58698e78db6b56012058e91a9' ;; s390x) goRelArch='linux-s390x'; goRelSha256='994f961df0d7bdbfa6f7eed604539acf9159444dabdff3ce8e938d095d85f756' ;; *) goRelArch='src'; goRelSha256='b13bf04633d4d8cf53226ebeaace8d4d2fd07ae6fa676d0844a688339debec34'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2020-02-26 22:27:45 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2020-02-26 22:27:48 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2020-02-26 22:27:55 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2020-02-26 22:27:57 UTC

/bin/sh -c #(nop) WORKDIR /go

Details
Created

2020-02-26 09:23:06 UTC

Size

264 MB

Content Digest
Environment
GOLANG_VERSION

1.13.8

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:0a3603da42bb9e22573006a7f894b198954caeab529e2e041660e12c4fe62462 - 17.71% (46.7 MB)

[#001] sha256:16a7b142236e4c473f4fd19a0485f74364510f658dc999627e6c41f4684a50d5 - 2.67% (7.04 MB)

[#002] sha256:6f2c5965845a6f2fd1bfaa3a4814a17655d46330b5f60ed861daaa390d5b82a2 - 3.58% (9.42 MB)

[#003] sha256:942858cf91c54d2d1efa88f24491ba2b93cd15ed968d4f5e193c5e26ca4236e1 - 18.57% (48.9 MB)

[#004] sha256:2d4f5bb4516c3283cf2b8ab45a3231407f9577453fc6a45afc4bdfd62fa05901 - 20.51% (54 MB)

[#005] sha256:22d7a2462c9d23e1a2309e49f418ac35e383593a56819261bada04081780433f - 36.96% (97.4 MB)

[#006] sha256:5ffa45cfb494cd33d365d10bf1682b55ae6733b9efec850001a276ec9c4f8bd6 - 0.0% (156 Bytes)


History
2020-02-26 00:42:32 UTC

/bin/sh -c #(nop) ADD file:80536bfff518f6b425ad359b86a124f79ccdc82deb3e648f1746a7c87a1fcad0 in /

2020-02-26 00:42:35 UTC

/bin/sh -c #(nop) CMD ["bash"]

2020-02-26 04:33:17 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*

2020-02-26 04:33:27 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2020-02-26 04:34:09 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2020-02-26 09:20:40 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2020-02-26 09:22:38 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.13.8

2020-02-26 09:22:56 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='0567734d558aef19112f2b2873caa0c600f1b4a5827930eb5a7f35235219e9d8' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='75f590d8e048a97cbf8b09837b15b3e6b44e1374718a96a5c3a994843ef44a4d' ;; arm64) goRelArch='linux-arm64'; goRelSha256='b46c0235054d0eb69a295a2634aec8a11c7ae19b3dc53556a626b89dc1f8cdb0' ;; i386) goRelArch='linux-386'; goRelSha256='2305c1c46b3eaf574c7b03cfa6b167c199a2b52da85872317438c90074fdb46e' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='4c987b3969d33a93880a218064d2330d7f55c9b58698e78db6b56012058e91a9' ;; s390x) goRelArch='linux-s390x'; goRelSha256='994f961df0d7bdbfa6f7eed604539acf9159444dabdff3ce8e938d095d85f756' ;; *) goRelArch='src'; goRelSha256='b13bf04633d4d8cf53226ebeaace8d4d2fd07ae6fa676d0844a688339debec34'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2020-02-26 09:23:05 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2020-02-26 09:23:05 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2020-02-26 09:23:06 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2020-02-26 09:23:06 UTC

/bin/sh -c #(nop) WORKDIR /go